src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

/**
 * Userテーブルのデータを格納するためのBeans
 *
 * @author takano
 */
public class User implements Serializable {
  private int id;
  private String loginId;
  private String name;
  private Date birthDate;
  private String password;
  private boolean isAdmin;
  private Timestamp createDate;
  private Timestamp updateDate;

  public User() {}

  // 全てのデータをセットするコンストラクタ
  public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdimn,
      Timestamp createDate, Timestamp updateDate) {
    this.id = id;
    this.loginId = loginId;
    this.name = name;
    this.birthDate = birthDate;
    this.password = password;
    this.isAdmin = isAdimn;
    this.createDate = createDate;
    this.updateDate = updateDate;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  public String getLoginId() {
    return loginId;
  }

  public void setLoginId(String loginId) {
    this.loginId = loginId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getBirthDate() {
    return birthDate;
  }

  public void setBirthDate(Date birthDate) {
    this.birthDate = birthDate;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public boolean isAdmin() {
    return isAdmin;
  }

  public void setAdmin(boolean isAdmin) {
    this.isAdmin = isAdmin;
  }

  public Timestamp getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Timestamp createDate) {
    this.createDate = createDate;
  }

  public Timestamp getUpdateDate() {
    return updateDate;
  }

  public void setUpdateDate(Timestamp updateDate) {
    this.updateDate = updateDate;
  }
}

src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/** Servlet implementation class UserAddServlet */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
    private static final long serialVersionUID = 1L;

    /** @see HttpServlet#HttpServlet() */
    public UserAddServlet() {
        super();
    }

    /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        // セッションからユーザの情報をゲット
        HttpSession session = request.getSession();
        User user = (User) session.getAttribute("userInfo");

        // ログインセッションがない場合、ログイン画面にリダイレクトさせる
        if (user == null) {
            response.sendRedirect("UserLoginServlet");
            return;
        }

        // フォワード
        RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
        dispatcher.forward(request, response);
    }

    /** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        // リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

        // リクエストパラメータの入力項目を取得
        String loginId = request.getParameter("user-loginid");
        String password = request.getParameter("password");
        String passwordConfirm = request.getParameter("password-confirm");
        String userName = request.getParameter("user-name");
        String birthDate = request.getParameter("birth-date");

        // Dao生成
        UserDao userDao = new UserDao();

        // 入力項目に1つでも未入力のものがある場合、
        // またはパスワードとパスワード(確認)の入力内容が異なる場合、
        // 既に登録されているログインIDが入力された場合、
        // 登録失敗としてデータの登録は行わない
        if ((loginId.isEmpty() || password.isEmpty() || passwordConfirm.isEmpty() || userName.isEmpty() || birthDate.isEmpty())
                || (!password.equals(passwordConfirm))
                || (userDao.findByLoginId(loginId) != null)) {
            
            // リクエストスコープにエラーメッセージをセット
            request.setAttribute("errMsg", "入力された内容は正しくありません");

            // ユーザクラスのインスタンス生成
            User userAdd = new User();

            // 入力された内容をユーザ情報に反映
            userAdd.setLoginId(loginId);
            userAdd.setName(userName);
            
            if (birthDate.isEmpty()) {
                userAdd.setBirthDate(null);
            } else {
                userAdd.setBirthDate(Date.valueOf(birthDate));
            }
            
            // ユーザ情報をリクエストスコープにセット
            request.setAttribute("userAdd", userAdd);

            // 入力画面にフォワード
            RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
            dispatcher.forward(request, response);
            return;
        }
        
        // パスワードを暗号化
        PasswordEncorder pEncd = new PasswordEncorder();
        String encodeStr = pEncd.encordPassword(password);

        // リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
        userDao.insertUserInfo(loginId, encodeStr, userName, Date.valueOf(birthDate));
        
        // サーブレットにリダイレクト
        response.sendRedirect("UserListServlet");
        
    }
}

src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/** Servlet implementation class UserAddServlet */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
    public UserDeleteServlet() {
        super();
    }

    /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {

      // セッションからユーザの情報をゲット
      HttpSession session = request.getSession();
      User user = (User) session.getAttribute("userInfo");

      // ログインセッションがない場合、ログイン画面にリダイレクトさせる
      if (user == null) {
        response.sendRedirect("UserLoginServlet");
        return;
      }

      // URLからGETパラメータとしてIDを受け取る
      String id = request.getParameter("id");

      // idを引数にして、idに紐づくユーザ情報を出力する
      UserDao userDao = new UserDao();
      User userDelete = userDao.findById(Integer.parseInt(id));

      // ユーザ情報をリクエストスコープにセット
      request.setAttribute("userDelete", userDelete);

      // フォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
      dispatcher.forward(request, response);
    }

    /** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
      // リクエストパラメータの文字コードを指定
      request.setCharacterEncoding("UTF-8");

      // リクエストパラメータの入力項目を取得
      int id = Integer.parseInt(request.getParameter("user-id"));

      // Dao生成
      UserDao userDao = new UserDao();
      // リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
      userDao.deleteUserInfo(id);

      // サーブレットにリダイレクト
      response.sendRedirect("UserListServlet");

    }
}

src/main/java/controller/UserDetailServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/** Servlet implementation class UserDetailServlet */
@WebServlet("/UserDetailServlet")
public class UserDetailServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
  public UserDetailServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // セッションからユーザの情報をゲット
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // ログインセッションがない場合、ログイン画面にリダイレクトさせる
    if (user == null) {
      response.sendRedirect("UserLoginServlet");
      return;
    }

    // URLからGETパラメータとしてIDを受け取る
    String id = request.getParameter("id");

    // idを引数にして、idに紐づくユーザ情報を出力する
    UserDao userDao = new UserDao();
    User userDetail = userDao.findById(Integer.parseInt(id));

    // ユーザ情報をリクエストスコープにセット
    request.setAttribute("userDetail", userDetail);

    // フォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDetail.jsp");
    dispatcher.forward(request, response);

  }
}

src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.Search;
import model.User;

/** Servlet implementation class UserListServlet */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
  public UserListServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // セッションからユーザの情報をゲット
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // ログインセッションがない場合、ログイン画面にリダイレクトさせる
    if (user == null) {
      response.sendRedirect("UserLoginServlet");
      return;
    }

    // ユーザ一覧情報を取得
    UserDao userDao = new UserDao();
    List<User> userList = userDao.findAll();

    // リクエストスコープにユーザ一覧情報をセット
    request.setAttribute("userList", userList);

    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);
    }

  /** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    // リクエストパラメータの入力項目を取得
    String loginId = request.getParameter("user-loginid");
    String name = request.getParameter("user-name");
    String strDateStart = request.getParameter("date-start");
    String strDateEnd = request.getParameter("date-end");

    // 日付文字列を日付型に変換
    Date dateStart = null;
    Date dateEnd = null;

    if (!strDateStart.isEmpty()) {
      dateStart = Date.valueOf(strDateStart);
    }
    if (!strDateEnd.isEmpty()) {
      dateEnd = Date.valueOf(strDateEnd);
    }

    // ユーザ一覧情報を取得
    UserDao userDao = new UserDao();
    List<User> userList = userDao.search(loginId, name, dateStart, dateEnd);

    // リクエストスコープにユーザ一覧情報をセット
    request.setAttribute("userList", userList);

    // どんな条件で検索したかわかるようにリクエストスコープに検索条件をセット
    request.setAttribute("search", new Search(loginId, name, dateStart, dateEnd));

    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);
    }
}

src/main/java/controller/UserLoginServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/** Servlet implementation class LoginServlet */
@WebServlet("/UserLoginServlet")
public class UserLoginServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
  public UserLoginServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // セッションからユーザの情報をゲット
    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    // ログインセッションがある場合、ユーザ一覧画面にリダイレクトさせる
    if (user != null) {
      response.sendRedirect("UserListServlet");
      return;
    }

    // フォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userLogin.jsp");
    dispatcher.forward(request, response);
  }

  /** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // リクエストパラメータの文字コードを指定
    request.setCharacterEncoding("UTF-8");

    // リクエストパラメータの入力項目を取得
    String loginId = request.getParameter("loginid");
    String password = request.getParameter("password");

    // パスワードを暗号化
    PasswordEncorder pEncd = new PasswordEncorder();
    password = pEncd.encordPassword(password);

    // リクエストパラメータの入力項目を引数に渡して、Daoのメソッドを実行
    UserDao userDao = new UserDao();
    User user = userDao.findByLoginInfo(loginId, password);

    /** テーブルに該当のデータが見つからなかった場合 * */
    if (user == null) {
      // リクエストスコープにエラーメッセージをセット
      request.setAttribute("errMsg", "ログインIDまたはパスワードが異なります");
      // 入力したログインIDを画面に表示するため、リクエストに値をセット
      request.setAttribute("loginId", loginId);

      // ログインjspにフォワード
      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userLogin.jsp");
      dispatcher.forward(request, response);
      return;
    }

    /** テーブルに該当のデータが見つかった場合 * */
    // セッションにユーザの情報をセット
    HttpSession session = request.getSession();
    session.setAttribute("userInfo", user);

    // ユーザ一覧のサーブレットにリダイレクト
    response.sendRedirect("UserListServlet");
  }
}

src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.loginId} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="UserLogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<!-- エラー処理 start -->
		<c:if test="${errMsg != null}">
			<div class="row">
				<div class="col-6 offset-3 mb-5">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</div>
			</div>
		</c:if>
		<!--エラー処理 end  -->

		<div class="row">
			<div class="col-6 offset-3">
			
				<form action="UserAddServlet" method="post">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${userAdd.loginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${userAdd.name}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${userAdd.birthDate}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					
				</form>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
					
			</div>
		</div>
	</div>




</body>

</html>

src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.loginId} さん</span>
				</li>
				<li class="nav-item"><a class="nav-link text-danger" href="UserLogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				
				
				<form action="UserDeleteServlet" method="post">
				<input type="hidden" name="user-id" value="${userDelete.id}">
				<div class="row">
					<div class="col">
						<p>ログインID： ${userDelete.loginId}</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				
				<div class="row">
					<div class="col">
						<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
					</div>
					<div class="col">
						<button type="submit"  class="btn btn-primary btn-block" value="登録">はい</button>
					</div>
				</div>
				</form>
			</div>
		</div>
	</div>

</body>

</html>

src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ一覧画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">${userInfo.loginId}
						さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="UserLogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>

		<!-- 新規登録リンク -->
		<div class="row">
			<div class="col">
				<p class="text-right">
					<a href="UserAddServlet">新規登録</a>
				</p>
			</div>
		</div>


		<!-- 検索ボックス -->
		<div class="row">
			<div class="col">

				<div class="card">
					<div class="card-body">

				<form action="UserListServlet" method="post">
						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control"
									id="loginId" value="${search.loginId}">
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control"
									id="userName" value="${search.name}">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate"
											class="form-control" value="${search.dateStart}">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate"
											class="form-control" value="${search.dateEnd}">
									</div>
								</div>
							</div>
						</div>

						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
						</div>
						
				</form>

					</div>
				</div>
			</div>
		</div>

		<!-- 検索結果一覧 -->
		<div class="row mt-3">
			<div class="col">
				<table class="table table-striped">
					<thead class="thead-dark">
						<tr>
							<th>ログインID</th>
							<th>ユーザ名</th>
							<th>生年月日</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var="user" items="${userList}">
							<tr>
								<td>${user.loginId}</td>
								<td>${user.name}</td>
								<td><fmt:formatDate value="${user.birthDate}" pattern="yyyy年 MM月 dd日" /></td>
								<td class="float-right">
									<a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
									 
									<c:if test="${userInfo.admin or (user.loginId == userInfo.loginId)}">
										<a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
									</c:if>
									
									<c:if test="${userInfo.admin}">
										<a class="btn btn-danger" href="UserDeleteServlet?id=${user.id}">削除</a>
									</c:if>
								</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>

			</div>
		</div>
	</div>

</body>

</html>